list teams.md
List Teams
Management API · Teams
GET https://app.mk.io/api/v1/organization/teams
Returns details of all Teams.
RBAC Capability Required: core.team.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Example request
curl -X GET "https://app.mk.io/api/v1/organization/teams"
-H "Authorization: Bearer <token>"
Responses
200 — A list of all teams
kind· string · Required — The kind of record.value· list of objects · Required — List of teams.- Array items (object):
kind· string · Optional — The kind of record.metadata· object · Required — Team metadata.id· string · Required · format: uuid — The ID of the resourcename· string · Optional — The name of the resource
spec· object · Required — Team specification.description· string · Optional · 0-256 characters — A description of the team.members· map from strings to object · Optional — The list of members.[any key]· object — map of additional propertiesemail· string · Required — The email address of the team memberisTeamAdmin· boolean · Required — Does this user have the ability to edit this teamname· string · Required — The name of the team member
scopes· map from strings to object · Optional — The set of scopes this team has access to, and the roles on each.[any key]· object — map of additional propertiesroles· list of strings · Required — The names of the roles.- Array items (string):
- Array items (object):
Example:
{
"kind": "string",
"value": [
{
"kind": "string",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"spec": {
"description": "string",
"members": {
"user-id": {
"isTeamAdmin": true
}
},
"scopes": {
"scopeName": {
"roles": [
"roleName",
"roleName2"
]
}
}
}
}
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}